
*----------------------------------------
* DISTANCE AND FUNCTIONAL AREAS DISTANCE
*----------------------------------------
set more off

foreach j in distancia distancia_af {
use "$inputs/Matriz_`j'.dta", clear

rename dist_* dist_*_1

keep com_97-dist_346_1

tempfile base1 base2  
save "`base1'"		
rename * *2			
save "`base2'"		
use "`base1'"		
cross using "`base2'"   

sort id id2
order com_97-com_10 id nom_com com_972-com_102 id2 nom_com2
drop dist_1_1-dist_346_1

forvalues i=2/346 {
replace dist_1_12=dist_`i'_12 if id==`i'
}
drop dist_2_12-dist_346_12
rename dist_1_12 dist

keep com_08 id nom_com com_082 id2 nom_com2 dist

rename (com_08 com_082) (codcom_v codcom_c)

save "$works/`j'.dta", replace
}
*


*--------------------------------
* TIME AND FUNCTIONAL AREAS TIME
*--------------------------------
set more off

foreach j in tiempo tiempo_af {
use "$inputs/Matriz_`j'.dta", clear

rename time_* time_*_1

keep com_97-time_346_1

tempfile base1 base2  
save "`base1'"		
rename * *2			
save "`base2'"		
use "`base1'"		
cross using "`base2'"   

sort id id2
order com_97-com_10 id nom_com com_972-com_102 id2 nom_com2
drop time_1_1-time_346_1

forvalues i=2/346 {
replace time_1_12=time_`i'_12 if id==`i'
}
drop time_2_12-time_346_12
rename time_1_12 time

keep com_08 id nom_com com_082 id2 nom_com2 time

rename (com_08 com_082) (codcom_v codcom_c)

save "$works/`j'.dta", replace
}
*


*-------
* MERGE
*-------

* Merge Distance
use "$works/distancia_af.dta", clear
rename dist dist_af
merge 1:1 id id2 using "$works/distancia.dta"
save "$works/dist_api.dta", replace


* Merge Time
use "$works/tiempo_af.dta", clear
rename time time_af
merge 1:1 id id2 using "$works/tiempo.dta", nogen
save "$works/time_api.dta", replace

